curl --request POST \
--url 'https://api.workstream.stateset.com/v1/policy-sets' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"policy_set_key": "string",
"version": 1,
"status": "active",
"definition": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"policy_set_key": "string",
"version": 1,
"status": "pending",
"definition": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Create policy set
Policy set version created.
POST
/
v1
/
policy-sets
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/policy-sets' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"policy_set_key": "string",
"version": 1,
"status": "active",
"definition": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"policy_set_key": "string",
"version": 1,
"status": "pending",
"definition": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Request body
object
string
required
integer
required
string
object
required
Response
object
string (uuid)
required
string
required
integer
required
string
required
object
required
string (date-time)
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
201 | Policy set version created. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/policy-sets' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"policy_set_key": "string",
"version": 1,
"status": "active",
"definition": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"policy_set_key": "string",
"version": 1,
"status": "pending",
"definition": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026